import request from '@/utils/request'
import { param } from 'jquery'

export function getMobileDoctorList (params) {
  return request({
    url: '/m/api/getmobiledoctorlist',
    methods: 'get',
    params: params
  })
}

export function getMobileStaffScheduleList (params) {
  console.log('params', params)
  return request({
    url: '/m/api/getmobilestaffschedulelist',
    methods: 'get',
    params: params
  })
}

export function getMobileNextWeekScheduleList (params) {
  console.log('params', params)
  return request({
    url: '/m/api/getmobilenextweekschedulelist',
    methods: 'get',
    params: params
  })
}

export function getScheduleByUserType (params) {
  console.log('params', params)
  return request({
    url: '/m/api/getschedulebyusertype',
    methods: 'get',
    params: params
  })
}

export function GetSearchPatientByDoctorId (params) {
  console.log('params', params)
  return request({
    url: '/m/api/getsearchpatientbydoctorid',
    methods: 'get',
    params: params
  })
}

export function getMobileScheduleList (params) {
  return request({
    url: '/m/api/getmobileschedulelist',
    methods: 'Get',
    params: params
  })
}

export function getMobileScheduleListTotal (params) {
  return request({
    url: '/m/api/getmobileschedulelisttoal',
    methods: 'get',
    params: params
  })
}

export function getMySchedule (params) {
  return request({
    url: '/m/api/getmyschedule',
    methods: 'Get',
    params: params
  })
}

export function getmobilechartlist (params) {
  return request({
    url: '/m/api/getmobilechartlist',
    methods: 'get',
    params: params
  })
}

export function toSearchMobileTotal (params) {
  return request({
    url: '/m/api/tosearchmobiletotal',
    methods: 'get',
    params: params
  })
}

export function changeMobileOption (params) {
  return request({
    url: '/m/api/changemobileoption',
    methods: 'get',
    params: params
  })
}

export function getPatientScheduleList (params) {
  console.log('params', params)
  return request({
    url: '/m/api/getpatientschedulelist',
    methods: 'Get',
    params: params
  })
}

export function GetAllZone (params) {
  return request({
    url: '/m/api/getallzone',
    methods: 'Get',
    params: params
  })
}

export function GetAllZonePb (params) {
  return request({
    url: '/m/api/getallzonepb',
    methods: 'Get',
    params: params
  })
}

export function DeleteSchedule (id, params) {
  return request({
    url: '/m/api/deleteSchedule?id=' + id,
    methods: 'get',
    params: params
  })
}

export function searchPatient (params) {
  return request({
    url: '/m/api/ssearchpatient',
    methods: 'get',
    params: params
  })
}

export function updatePatientSchedule (params) {
  return request({
    url: '/m/api/updatepatientschedule',
    methods: 'get',
    params: params
  })
}

export function getAllPatient (params) {
  return request({
    url: '/m/api/schedule/patients',
    methods: 'get',
    params: params
  })
}

export function createSchedule (id, data) {
  return request({
    url: '/m/api/schedule/create?patient_id=' + id,
    method: 'Post',
    data: data
  })
}

export function updateScheduleInfo (params) {
  return request({
    url: '/m/api/updateschedule',
    methods: 'get',
    params: params
  })
}
export function updateScheduleMode (params) {
  return request({
    url: '/m/api/updateschedulemode',
    methods: 'get',
    params: params
  })
}

export function updateScheduleDialysisPrescription (params) {
  return request({
    url: '/m/api/updatedialysisprescription',
    methods: 'get',
    params: params
  })
}

export function getSolutionSchedule (params) {
  return request({
    url: 'm/api/schedule/getsolutionschedule',
    method: 'Get',
    params: params
  })
}

export function getAllBedList (params) {
  return request({
    url: 'm/api/schedule/getallbedlist',
    method: 'get',
    params: params
  })
}

export function changeScheduleModeById (params) {
  return request({
    url: 'm/api/schedule/changeschedulebyid',
    method: 'Get',
    params: params
  })
}

export function changeScheduleType (params) {
  return request({
    url: 'm/api/schedule/changescheduletype',
    method: 'get',
    params: params
  })
}

export function changeScheduleBed (params) {
  return request({
    url: 'm/api/schedule/changeschedulebed',
    method: 'get',
    params: params
  })
}

export function toInspection(params){
  return request({
    url:"m/api/patient/getinspectiongroup",
    method:"get",
    params:params,
  })
}